@import 'variables';

.filters-container {
  width: 50%;
  margin: auto;
}

.box-grid {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
  width: 100%;
  margin: 1.5em auto;

  &.box-grid--collapsed {
    .box-grid__item {
      border-color: $gru-first-color;

      &:hover {
        transform: scale(0.95);
        border-color: $gru-fourth-color;
      }
    }
  }

  .box-grid__item {
    display: flex;
    flex-direction: column;
    flex: 0 0 25%;
    padding: 1em 2em;
    margin: 1em;
    border: 3px solid $gru-fourth-color;
    border-radius: 15px;
    color: white;
    text-align: center;
    min-height: 10em;
    background-color: $gru-fifth-color;
    background-blend-mode: luminosity;
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;

    &:hover {
      cursor: pointer;
      border-color: $gru-first-color;
      background-blend-mode: normal;
      transform: scale(1.05);
      transition: all 0.4s ease-out;
    }

    .box-item__title {
      font-size: 1.2em;
      text-shadow: 0 0 3px #000, 0 0 3px #000;
    }

    .box-item__subtitle {
      font-weight: 200;
      text-shadow: 0 0 3px #000, 0 0 3px #000;
    }

    .box-item__note {
      text-align: right;
      margin-top: auto;
      color: $gru-fourth-color;
    }
  }
}

@media (max-width: 768px) {
  .filters-container {
    width: 100%;
  }
}
